-
AI-powered Extensions
-
Data Grid
-
Tree List
-
Chat
-
HTML Editor
-
Form
-
-
Data Grids / Data Management
-
Data Grid
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Grouping
-
Selection
- Focused Row
- Paging
-
Scrolling
-
Columns
- AI Assistant
-
Master-Detail
-
Data Summaries
-
Drag & Drop
-
Export to PDF
-
Export to Excel
- Appearance
-
Customization
- State Persistence
-
Adaptability
-
Keyboard Navigation
- Right-To-Left Support
-
Tree List
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Selection
- Focused Row
- Paging
-
Columns
- Drag & Drop
- State Persistence
- Adaptability
-
Keyboard Navigation
-
Card View
-
Pivot Grid
- Overview
-
Data Binding
-
Field Management
-
Data Summaries
- Drill Down
- Filtering
-
Scrolling
-
Export to Excel
- Chart Integration
- Customization
- State Persistence
-
Filter Builder
-
-
Data Visualization
-
Charts
- Overview
-
Data Binding
-
Common Concepts
-
Axis
-
Aggregation
-
Tooltips
-
Selection
-
Customization
-
Zooming
-
Export
-
-
Area Charts
-
Bar Charts
- Bullet Charts
-
Doughnut Charts
-
Financial Charts
-
Funnel and Pyramid Charts
-
Line Charts
- Pareto Chart
-
Pie Charts
-
Point Charts
-
Polar and Radar Charts
-
Range Charts
- Sankey Chart
-
Sparkline Charts
-
Tree Map
-
Gauges
- Overview
-
Runtime update
-
Bar Gauge
-
Circular Gauge
-
Linear Gauge
-
Diagram
- Overview
-
Data Binding
-
Featured Shapes
-
Custom Shapes
-
Document Capabilities
-
User Interaction
- UI Customization
- Adaptability
-
-
Scheduling / Planning
-
Scheduler
- Overview
-
Data Binding
-
Views
-
Appointments
-
Timetable
- Editing
-
Grouping
- Virtual Scrolling
- Drag & Drop
-
Customization
- Adaptability
-
Gantt
- Overview
- Data Binding
-
Filtering
- Sorting
- Strip Lines
- Export to PDF
- Validation
-
Customization
-
-
Messaging
-
WYSIWYG Editor
-
Forms
-
Data Editors
- Overview
-
Common Concepts
-
Calendar
- Check Box
- Color Box
-
Date Box
-
Date Range Box
-
Number Box
- Radio Group
-
Range Selector
- Range Slider
- Slider
- Switch
- Text Area
- Text Box
-
Drop-Downs
- Autocomplete
-
Drop Down Box
-
Select Box
-
Tag Box
-
Lookup
-
Buttons
-
File Upload / File Management
-
File Manager
- Overview
-
File System Types
-
Customization
-
File Uploader
-
-
Popup and Notifications
-
Navigation
- Overview
- Accordion
-
Action Sheet
-
Context Menu
-
Menu
- Multi View
-
Drawer
-
Tab Panel
-
Tabs
-
Toolbar
-
Stepper
- Pagination
-
List
-
Tree View
- Right-to-Left Support
-
Layout
-
Interactive Wrappers
-
Sortable
- Resizable
-
-
Progress Indicators
-
Maps
- Overview
-
Map
-
Vector Map
-
Data Binding
- Multiple Layers
-
Markers
- Legend
-
Zooming and Panning
-
Customization
-
-
Localization
Related Demos:
Your search did not match any results.
JavaScript/jQuery Charts - Area Sparklines
In this demo, a set of area-like sparklines is placed into a table. Although these sparklines look similar, they have different series types. The first table column contains sparklines of the area series type. In the second table column, spline area sparklines are placed. The third table column displays sparklines of the step area series type.
Backend API
$(() => {
const copOptions = {
dataSource: copperCosts,
argumentField: 'month',
valueField: '2021',
type: 'area',
showMinMax: true,
tooltip: {
format: 'currency',
},
};
const nickOptions = {
dataSource: nickelCosts,
argumentField: 'month',
valueField: '2021',
type: 'splinearea',
lineColor: '#8076bb',
minColor: '#6babac',
maxColor: '#8076bb',
pointSize: 6,
showMinMax: true,
showFirstLast: false,
tooltip: {
format: 'currency',
},
};
const palOptions = {
dataSource: palladiumCosts,
argumentField: 'month',
valueField: '2021',
firstLastColor: '#e55253',
lineColor: '#7e4452',
lineWidth: 3,
pointColor: '#e8c267',
pointSymbol: 'polygon',
type: 'steparea',
tooltip: {
format: {
type: 'currency',
precision: 2,
},
},
};
$('.area2021').dxSparkline(copOptions);
$('.splinearea2021').dxSparkline(nickOptions);
$('.steparea2021').dxSparkline(palOptions);
$('.area2022').dxSparkline($.extend(copOptions, { valueField: '2022' }));
$('.splinearea2022').dxSparkline($.extend(nickOptions, { valueField: '2022' }));
$('.steparea2022').dxSparkline($.extend(palOptions, { valueField: '2022' }));
$('.area2023').dxSparkline($.extend(copOptions, { valueField: '2023' }));
$('.splinearea2023').dxSparkline($.extend(nickOptions, { valueField: '2023' }));
$('.steparea2023').dxSparkline($.extend(palOptions, { valueField: '2023' }));
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.8/css/dx.light.css" />
<script src="js/dx.all.js?v=25.2.8"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div class="long-title"><h3>Monthly Prices of Copper, Nickel and Palladium</h3></div>
<div id="chart-demo">
<table class="demo-table" border="1">
<tr>
<th></th>
<th>Copper (USD/ton)</th>
<th>Nickel (USD/ton)</th>
<th>Palladium (USD/troy ounce)</th>
</tr>
<tr>
<th>2021</th>
<td><div class="sparkline area2021"></div></td>
<td><div class="sparkline splinearea2021"></div></td>
<td><div class="sparkline steparea2021"></div></td>
</tr>
<tr>
<th>2022</th>
<td><div class="sparkline area2022"></div></td>
<td><div class="sparkline splinearea2022"></div></td>
<td><div class="sparkline steparea2022"></div></td>
</tr>
<tr>
<th>2023</th>
<td><div class="sparkline area2023"></div></td>
<td><div class="sparkline splinearea2023"></div></td>
<td><div class="sparkline steparea2023"></div></td>
</tr>
</table>
</div>
</div>
</body>
</html>
#chart-demo {
height: 440px;
}
.demo-table {
width: 100%;
border: 1px solid #c2c2c2;
border-collapse: collapse;
}
.demo-table th,
.demo-table td {
font-weight: 400;
width: 200px;
padding: 25px 10px 5px;
border: 1px solid #c2c2c2;
}
.demo-table th {
padding: 25px 15px 20px;
border: 1px solid #c2c2c2;
}
.demo-table tr:nth-child(2) td {
border-top: 1px solid #c2c2c2;
}
.demo-table td:first-of-type {
border-left: 1px solid #c2c2c2;
}
.demo-table .sparkline {
width: 200px;
height: 30px;
}
.long-title h3 {
font-weight: 200;
font-size: 28px;
text-align: center;
margin-bottom: 20px;
margin-top: 0;
}
const copperCosts = [{
month: 1,
2021: 7970.50,
2022: 9775.93,
2023: 8999.79,
}, {
month: 2,
2021: 8460.25,
2022: 9941.35,
2023: 8955.20,
}, {
month: 3,
2021: 9004.98,
2022: 10237.59,
2023: 8835.72,
}, {
month: 4,
2021: 9335.55,
2022: 10183.13,
2023: 8814.00,
}, {
month: 5,
2021: 10183.97,
2022: 9362.81,
2023: 8234.28,
}, {
month: 6,
2021: 9612.43,
2022: 9033.13,
2023: 8386.23,
}, {
month: 7,
2021: 9433.59,
2022: 7529.79,
2023: 8445.26,
}, {
month: 8,
2021: 9357.19,
2022: 7960.98,
2023: 8351.77,
}, {
month: 9,
2021: 9324.07,
2022: 7734.70,
2023: 8270.86,
}, {
month: 10,
2021: 9778.50,
2022: 7621.21,
2023: 7939.66,
}, {
month: 11,
2021: 9765.48,
2022: 8029.95,
2023: 8173.95,
}, {
month: 12,
2021: 9550.31,
2022: 8367.23,
2023: 8394.11,
}];
const nickelCosts = [{
month: 1,
2021: 17847.68,
2022: 22355.40,
2023: 28194.61,
}, {
month: 2,
2021: 18595.30,
2022: 24015.55,
2023: 26727.95,
}, {
month: 3,
2021: 16460.83,
2022: 33924.18,
2023: 23288.61,
}, {
month: 4,
2021: 16480.91,
2022: 33132.74,
2023: 23894.56,
}, {
month: 5,
2021: 17552.45,
2022: 28062.55,
2023: 21970.39,
}, {
month: 6,
2021: 17942.32,
2022: 25658.63,
2023: 21233.28,
}, {
month: 7,
2021: 18819.36,
2022: 21481.89,
2023: 21091.26,
}, {
month: 8,
2021: 19160.23,
2022: 22057.39,
2023: 20438.65,
}, {
month: 9,
2021: 19398.23,
2022: 22773.97,
2023: 19644.64,
}, {
month: 10,
2021: 19420.52,
2022: 22032.89,
2023: 18281.23,
}, {
month: 11,
2021: 19970.43,
2022: 25562.70,
2023: 17027.36,
}, {
month: 12,
2021: 20015.55,
2022: 28946.81,
2023: 16460.84,
}];
const palladiumCosts = [{
month: 1,
2021: 2391.20,
2022: 2030.86,
2023: 1734.27,
}, {
month: 2,
2021: 2342.33,
2022: 2350.10,
2023: 1543.90,
}, {
month: 3,
2021: 2525.61,
2022: 2582.78,
2023: 1426.00,
}, {
month: 4,
2021: 2776.45,
2022: 2330.67,
2023: 1508.00,
}, {
month: 5,
2021: 2900.52,
2022: 2060.05,
2023: 1482.61,
}, {
month: 6,
2021: 2752.48,
2022: 1913.05,
2023: 1348.09,
}, {
month: 7,
2021: 2754.76,
2022: 1973.10,
2023: 1264.48,
}, {
month: 8,
2021: 2544.73,
2022: 2135.52,
2023: 1247.30,
}, {
month: 9,
2021: 2130.32,
2022: 2113.95,
2023: 1239.29,
}, {
month: 10,
2021: 2058.48,
2022: 2078.86,
2023: 1142.09,
}, {
month: 11,
2021: 2036.32,
2022: 1911.55,
2023: 1050.27,
}, {
month: 12,
2021: 1810.52,
2022: 1808.36,
2023: 1087.76,
}];

Area Sparklines
Documentation
In this demo, a set of area-like sparklines is placed into a table. Although these sparklines look similar, they have different series types. The first table column contains sparklines of the area series type. In the second table column, spline area sparklines are placed. The third table column displays sparklines of the step area series type.
Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
import React from 'react';
import RowTemplate from './RowTemplate.js';
const years = ['2010', '2011', '2012'];
export default function App() {
return (
<React.Fragment>
<div className="long-title"><h3>Monthly Prices of Copper, Nickel and Palladium</h3></div>
<div id="chart-demo">
<table
className="demo-table"
border="1"
>
<tbody>
<tr>
<th />
<th>Copper (USD/ton)</th>
<th>Nickel (USD/ton)</th>
<th>Palladium (USD/troy ounce)</th>
</tr>
{
years.map((year, index) => <RowTemplate key={index} year={year} />)
}
</tbody>
</table>
</div>
</React.Fragment>
);
}
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#chart-demo {
height: 440px;
}
.demo-table {
width: 100%;
border: 1px solid #c2c2c2;
border-collapse: collapse;
}
.demo-table th,
.demo-table td {
font-weight: 400;
width: 200px;
padding: 25px 10px 5px 10px;
border: 1px solid #c2c2c2;
}
.demo-table th {
padding: 25px 15px 20px 15px;
border: 1px solid #c2c2c2;
}
.demo-table tr:nth-child(2) td {
border-top: 1px solid #c2c2c2;
}
.demo-table td:first-of-type {
border-left: 1px solid #c2c2c2;
}
.demo-table .sparkline {
width: 200px;
height: 30px;
}
.long-title h3 {
font-weight: 200;
font-size: 28px;
text-align: center;
margin-bottom: 20px;
margin-top: 0;
}
import React from 'react';
import Sparkline, {
Tooltip,
} from 'devextreme-react/sparkline';
import {
copperCosts,
nickelCosts,
palladiumCosts,
} from './data.js';
export default function RowTemplate(props) {
return (
<tr>
<th>{props.year}</th>
<td>
<Sparkline
dataSource={copperCosts}
showMinMax={true}
className="sparkline"
argumentField="month"
valueField={props.year}
type="area"
>
<Tooltip format="currency" />
</Sparkline>
</td>
<td>
<Sparkline
dataSource={nickelCosts}
pointSize={6}
showMinMax={true}
showFirstLast={false}
className="sparkline"
argumentField="month"
valueField={props.year}
type="splinearea"
lineColor="#8076bb"
minColor="#6babac"
maxColor="#8076bb"
>
<Tooltip format="currency" />
</Sparkline>
</td>
<td>
<Sparkline
dataSource={palladiumCosts}
lineWidth={3}
className="sparkline"
argumentField="month"
valueField={props.year}
type="steparea"
lineColor="#7e4452"
firstLastColor="#e55253"
pointColor="#e8c267"
pointSymbol="polygon"
>
<Tooltip format="currency" />
</Sparkline>
</td>
</tr>
);
}
export const copperCosts = [{
month: 1,
2010: 7341,
2011: 9585,
2012: 7501,
}, {
month: 2,
2010: 7016,
2011: 10026,
2012: 8470,
}, {
month: 3,
2010: 7202,
2011: 9889,
2012: 8591,
}, {
month: 4,
2010: 7851,
2011: 9460,
2012: 8459,
}, {
month: 5,
2010: 7481,
2011: 9373,
2012: 8320,
}, {
month: 6,
2010: 6532,
2011: 9108,
2012: 7465,
}, {
month: 7,
2010: 6498,
2011: 9295,
2012: 7475,
}, {
month: 8,
2010: 7191,
2011: 9834,
2012: 7430,
}, {
month: 9,
2010: 7596,
2011: 9121,
2012: 7614,
}, {
month: 10,
2010: 8057,
2011: 7125,
2012: 8245,
}, {
month: 11,
2010: 8373,
2011: 7871,
2012: 7727,
}, {
month: 12,
2010: 8636,
2011: 7725,
2012: 7880,
}];
export const nickelCosts = [{
month: 1,
2010: 18974,
2011: 24298,
2012: 18322,
}, {
month: 2,
2010: 18162,
2011: 27929,
2012: 21093,
}, {
month: 3,
2010: 20535,
2011: 28802,
2012: 19701,
}, {
month: 4,
2010: 24562,
2011: 26142,
2012: 17695,
}, {
month: 5,
2010: 26131,
2011: 26753,
2012: 17549,
}, {
month: 6,
2010: 19278,
2011: 23055,
2012: 16436,
}, {
month: 7,
2010: 19475,
2011: 22870,
2012: 16382,
}, {
month: 8,
2010: 20701,
2011: 24388,
2012: 15687,
}, {
month: 9,
2010: 21266,
2011: 21845,
2012: 16085,
}, {
month: 10,
2010: 23358,
2011: 18346,
2012: 18250,
}, {
month: 11,
2010: 23150,
2011: 18822,
2012: 16083,
}, {
month: 12,
2010: 23282,
2011: 17320,
2012: 17104,
}];
export const palladiumCosts = [{
month: 1,
2010: 398,
2011: 788,
2012: 649,
}, {
month: 2,
2010: 422,
2011: 817,
2012: 698,
}, {
month: 3,
2010: 431,
2011: 812,
2012: 713,
}, {
month: 4,
2010: 481,
2011: 760,
2012: 654,
}, {
month: 5,
2010: 551,
2011: 774,
2012: 665,
}, {
month: 6,
2010: 449,
2011: 775,
2012: 609,
}, {
month: 7,
2010: 442,
2011: 750,
2012: 584,
}, {
month: 8,
2010: 482,
2011: 827,
2012: 580,
}, {
month: 9,
2010: 517,
2011: 776,
2012: 632,
}, {
month: 10,
2010: 566,
2011: 624,
2012: 657,
}, {
month: 11,
2010: 630,
2011: 651,
2012: 601,
}, {
month: 12,
2010: 737,
2011: 615,
2012: 675,
}];
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@23.1.6/cjs',
'devextreme-react': 'npm:devextreme-react@23.1.6',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.2/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.49/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
<div class="long-title"
><h3>Monthly Prices of Copper, Nickel and Palladium</h3></div
>
<div id="chart-demo">
<table class="demo-table" border="1">
<tr>
<th></th>
<th>Copper (USD/ton)</th>
<th>Nickel (USD/ton)</th>
<th>Palladium (USD/troy ounce)</th>
</tr>
<tr *ngFor="let year of years">
<th>{{ year }}</th>
<td>
<dx-sparkline
class="sparkline"
[dataSource]="copperCosts"
argumentField="month"
valueField="{{ year }}"
type="area"
[showMinMax]="true"
>
<dxo-tooltip format="currency"></dxo-tooltip>
</dx-sparkline>
</td>
<td>
<dx-sparkline
class="sparkline"
[dataSource]="nickelCosts"
argumentField="month"
valueField="{{ year }}"
type="splinearea"
lineColor="#8076bb"
minColor="#6babac"
maxColor="#8076bb"
[pointSize]="6"
[showMinMax]="true"
[showFirstLast]="false"
>
<dxo-tooltip format="currency"></dxo-tooltip>
</dx-sparkline>
</td>
<td>
<dx-sparkline
class="sparkline"
[dataSource]="palladiumCosts"
argumentField="month"
valueField="{{ year }}"
type="steparea"
lineColor="#7e4452"
[lineWidth]="3"
firstLastColor="#e55253"
pointColor="#e8c267"
pointSymbol="polygon"
>
<dxo-tooltip format="currency"></dxo-tooltip>
</dx-sparkline>
</td>
</tr>
</table>
</div>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxSparklineModule } from 'devextreme-angular';
import { CostInfo, Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
providers: [Service],
})
export class AppComponent {
copperCosts: CostInfo[];
nickelCosts: CostInfo[];
palladiumCosts: CostInfo[];
years: Array<number>;
constructor(service: Service) {
this.copperCosts = service.getCopperCosts();
this.nickelCosts = service.getNickelCosts();
this.palladiumCosts = service.getPalladiumCosts();
this.years = [2010, 2011, 2012];
}
}
@NgModule({
imports: [
BrowserModule,
DxSparklineModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep #chart-demo {
height: 440px;
}
::ng-deep .demo-table {
width: 100%;
border: 1px solid #c2c2c2;
border-collapse: collapse;
}
::ng-deep .demo-table th,
::ng-deep .demo-table td {
font-weight: 400;
width: 200px;
padding: 25px 10px 5px 10px;
border: 1px solid #c2c2c2;
}
::ng-deep .demo-table th {
padding: 25px 15px 20px 15px;
border: 1px solid #c2c2c2;
}
::ng-deep .demo-table tr:nth-child(2) td {
border-top: 1px solid #c2c2c2;
}
::ng-deep .demo-table td:first-of-type {
border-left: 1px solid #c2c2c2;
}
::ng-deep .demo-table .sparkline {
width: 200px;
height: 30px;
}
::ng-deep .long-title h3 {
font-weight: 200;
font-size: 28px;
text-align: center;
margin-bottom: 20px;
margin-top: 0;
}
import { Injectable } from '@angular/core';
export class CostInfo {
month: number;
2010: number;
2011: number;
2012: number;
}
const copperCosts: CostInfo[] = [{
month: 1,
2010: 7341,
2011: 9585,
2012: 7501,
}, {
month: 2,
2010: 7016,
2011: 10026,
2012: 8470,
}, {
month: 3,
2010: 7202,
2011: 9889,
2012: 8591,
}, {
month: 4,
2010: 7851,
2011: 9460,
2012: 8459,
}, {
month: 5,
2010: 7481,
2011: 9373,
2012: 8320,
}, {
month: 6,
2010: 6532,
2011: 9108,
2012: 7465,
}, {
month: 7,
2010: 6498,
2011: 9295,
2012: 7475,
}, {
month: 8,
2010: 7191,
2011: 9834,
2012: 7430,
}, {
month: 9,
2010: 7596,
2011: 9121,
2012: 7614,
}, {
month: 10,
2010: 8057,
2011: 7125,
2012: 8245,
}, {
month: 11,
2010: 8373,
2011: 7871,
2012: 7727,
}, {
month: 12,
2010: 8636,
2011: 7725,
2012: 7880,
}];
const nickelCosts: CostInfo[] = [{
month: 1,
2010: 18974,
2011: 24298,
2012: 18322,
}, {
month: 2,
2010: 18162,
2011: 27929,
2012: 21093,
}, {
month: 3,
2010: 20535,
2011: 28802,
2012: 19701,
}, {
month: 4,
2010: 24562,
2011: 26142,
2012: 17695,
}, {
month: 5,
2010: 26131,
2011: 26753,
2012: 17549,
}, {
month: 6,
2010: 19278,
2011: 23055,
2012: 16436,
}, {
month: 7,
2010: 19475,
2011: 22870,
2012: 16382,
}, {
month: 8,
2010: 20701,
2011: 24388,
2012: 15687,
}, {
month: 9,
2010: 21266,
2011: 21845,
2012: 16085,
}, {
month: 10,
2010: 23358,
2011: 18346,
2012: 18250,
}, {
month: 11,
2010: 23150,
2011: 18822,
2012: 16083,
}, {
month: 12,
2010: 23282,
2011: 17320,
2012: 17104,
}];
const palladiumCosts: CostInfo[] = [{
month: 1,
2010: 398,
2011: 788,
2012: 649,
}, {
month: 2,
2010: 422,
2011: 817,
2012: 698,
}, {
month: 3,
2010: 431,
2011: 812,
2012: 713,
}, {
month: 4,
2010: 481,
2011: 760,
2012: 654,
}, {
month: 5,
2010: 551,
2011: 774,
2012: 665,
}, {
month: 6,
2010: 449,
2011: 775,
2012: 609,
}, {
month: 7,
2010: 442,
2011: 750,
2012: 584,
}, {
month: 8,
2010: 482,
2011: 827,
2012: 580,
}, {
month: 9,
2010: 517,
2011: 776,
2012: 632,
}, {
month: 10,
2010: 566,
2011: 624,
2012: 657,
}, {
month: 11,
2010: 630,
2011: 651,
2012: 601,
}, {
month: 12,
2010: 737,
2011: 615,
2012: 675,
}];
@Injectable()
export class Service {
getCopperCosts(): CostInfo[] {
return copperCosts;
}
getNickelCosts(): CostInfo[] {
return nickelCosts;
}
getPalladiumCosts(): CostInfo[] {
return palladiumCosts;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speed-dial-action',
'splitter',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@24.2.6/cjs',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'devextreme/bundles/dx.all': 'npm:devextreme@24.2.6/bundles/dx.all.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.1/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.15',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.60',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.15/package.json',
'npm:devexpress-gantt@4.1.60/package.json',
],
};
System.config(window.config);
// System.import('@angular/compiler').catch(console.error.bind(console));
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/24.2.6/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.14.10/bundles/zone.umd.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

Area Sparklines
Documentation
In this demo, a set of area-like sparklines is placed into a table. Although these sparklines look similar, they have different series types. The first table column contains sparklines of the area series type. In the second table column, spline area sparklines are placed. The third table column displays sparklines of the step area series type.
Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
<template>
<div>
<div class="long-title"><h3>Monthly Prices of Copper, Nickel and Palladium</h3></div>
<div id="chart-demo">
<table
class="demo-table"
border="1"
>
<tr>
<th/>
<th>Copper (USD/ton)</th>
<th>Nickel (USD/ton)</th>
<th>Palladium (USD/troy ounce)</th>
</tr>
<tbody
v-for="(year, index) in years"
:key="index"
>
<RowTemplate :year="year"/>
</tbody>
</table>
</div>
</div>
</template>
<script>
import RowTemplate from './RowTemplate.vue';
export default {
components: {
RowTemplate,
},
data() {
return {
years: ['2010', '2011', '2012'],
};
},
};
</script>
<style>
#chart-demo {
height: 440px;
}
.demo-table {
width: 100%;
border: 1px solid #c2c2c2;
border-collapse: collapse;
}
.demo-table th {
font-weight: 400;
width: 200px;
padding: 25px 15px 20px 15px;
border: 1px solid #c2c2c2;
}
.long-title h3 {
font-weight: 200;
font-size: 28px;
text-align: center;
margin-bottom: 20px;
margin-top: 0;
}
</style>
<template>
<tr class="rows-content">
<th>{{ year }}</th>
<td>
<DxSparkline
:data-source="copperCosts"
:show-min-max="true"
:value-field="year"
class="sparkline"
argument-field="month"
type="area"
>
<DxTooltip format="currency"/>
</DxSparkline>
</td>
<td>
<DxSparkline
:data-source="nickelCosts"
:point-size="6"
:show-min-max="true"
:show-first-last="false"
:value-field="year"
class="sparkline"
argument-field="month"
type="splinearea"
line-color="#8076bb"
min-color="#6babac"
max-color="#8076bb"
>
<DxTooltip format="currency"/>
</DxSparkline>
</td>
<td>
<DxSparkline
:data-source="palladiumCosts"
:line-width="3"
:value-field="year"
class="sparkline"
argument-field="month"
type="steparea"
line-color="#7e4452"
first-last-color="#e55253"
point-color="#e8c267"
point-symbol="polygon"
>
<DxTooltip format="currency"/>
</DxSparkline>
</td>
</tr>
</template>
<script>
import DxSparkline, {
DxTooltip,
} from 'devextreme-vue/sparkline';
import {
copperCosts,
nickelCosts,
palladiumCosts,
} from './data.js';
export default {
components: {
DxSparkline,
DxTooltip,
},
props: {
year: {
type: String,
default() {},
},
},
data() {
return {
copperCosts,
nickelCosts,
palladiumCosts,
};
},
};
</script>
<style>
.rows-content td {
font-weight: 400;
width: 200px;
padding: 25px 10px 5px 10px;
border: 1px solid #c2c2c2;
}
.rows-content tr:nth-child(2) td {
border-top: 1px solid #c2c2c2;
}
.rows-content td:first-of-type {
border-left: 1px solid #c2c2c2;
}
.rows-content .sparkline {
width: 200px;
height: 30px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
export const copperCosts = [{
month: 1,
2010: 7341,
2011: 9585,
2012: 7501,
}, {
month: 2,
2010: 7016,
2011: 10026,
2012: 8470,
}, {
month: 3,
2010: 7202,
2011: 9889,
2012: 8591,
}, {
month: 4,
2010: 7851,
2011: 9460,
2012: 8459,
}, {
month: 5,
2010: 7481,
2011: 9373,
2012: 8320,
}, {
month: 6,
2010: 6532,
2011: 9108,
2012: 7465,
}, {
month: 7,
2010: 6498,
2011: 9295,
2012: 7475,
}, {
month: 8,
2010: 7191,
2011: 9834,
2012: 7430,
}, {
month: 9,
2010: 7596,
2011: 9121,
2012: 7614,
}, {
month: 10,
2010: 8057,
2011: 7125,
2012: 8245,
}, {
month: 11,
2010: 8373,
2011: 7871,
2012: 7727,
}, {
month: 12,
2010: 8636,
2011: 7725,
2012: 7880,
}];
export const nickelCosts = [{
month: 1,
2010: 18974,
2011: 24298,
2012: 18322,
}, {
month: 2,
2010: 18162,
2011: 27929,
2012: 21093,
}, {
month: 3,
2010: 20535,
2011: 28802,
2012: 19701,
}, {
month: 4,
2010: 24562,
2011: 26142,
2012: 17695,
}, {
month: 5,
2010: 26131,
2011: 26753,
2012: 17549,
}, {
month: 6,
2010: 19278,
2011: 23055,
2012: 16436,
}, {
month: 7,
2010: 19475,
2011: 22870,
2012: 16382,
}, {
month: 8,
2010: 20701,
2011: 24388,
2012: 15687,
}, {
month: 9,
2010: 21266,
2011: 21845,
2012: 16085,
}, {
month: 10,
2010: 23358,
2011: 18346,
2012: 18250,
}, {
month: 11,
2010: 23150,
2011: 18822,
2012: 16083,
}, {
month: 12,
2010: 23282,
2011: 17320,
2012: 17104,
}];
export const palladiumCosts = [{
month: 1,
2010: 398,
2011: 788,
2012: 649,
}, {
month: 2,
2010: 422,
2011: 817,
2012: 698,
}, {
month: 3,
2010: 431,
2011: 812,
2012: 713,
}, {
month: 4,
2010: 481,
2011: 760,
2012: 654,
}, {
month: 5,
2010: 551,
2011: 774,
2012: 665,
}, {
month: 6,
2010: 449,
2011: 775,
2012: 609,
}, {
month: 7,
2010: 442,
2011: 750,
2012: 584,
}, {
month: 8,
2010: 482,
2011: 827,
2012: 580,
}, {
month: 9,
2010: 517,
2011: 776,
2012: 632,
}, {
month: 10,
2010: 566,
2011: 624,
2012: 657,
}, {
month: 11,
2010: 630,
2011: 651,
2012: 601,
}, {
month: 12,
2010: 737,
2011: 615,
2012: 675,
}];
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'root:': '../../../../../',
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.3.4/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.1/index.js',
'demo-ts-loader': 'root:utils/demo-ts-loader.js',
'svg-loader': 'root:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@23.1.6/cjs',
'devextreme-vue': 'npm:devextreme-vue@23.1.6',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.2/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.49/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);